function plotwlets_only(h0,h1,h2)


[w1,s,t] = wletfn(h0,h1);
[w2,s,t] = wletfn(h0,h2);
N = length(h0);




clf
fsa = 8;
title_fs = 10; % Title font size


ax0 = [0 N-1 -0.5 1.5];
ax = [0 N-1 -1 1.0];
subplot(3,3,1), plot(t,s),  axis(ax0)
set(gca,'fontsize',fsa)
title('\phi(t)','fontsize',title_fs)
subplot(3,3,2), plot(t,w1), axis(ax)
set(gca,'fontsize',fsa)
title('\psi_1(t)','fontsize',title_fs)
subplot(3,3,3), plot(t,w2), axis(ax)
set(gca,'fontsize',fsa)
title('\psi_2(t)','fontsize',title_fs)

% orient tall
orient portrait



