function [w,s,t] = wletfn(h0,h1,K);

% [w,s,t] = wletfn(h0,h1,K);
%
% Author: Ivan Selesnick
% selesi@taco.poly.edu

if nargin < 3
	K = 7;
end

N = length(h0);

[s,t] = scalfn(h0,K);

L = length(s);

w = sqrt(2)*conv(up(h1,2^(K-1)),s(1:2:L));
w = w(1:L);



