function w = hddwt(x, J, af);

% HIGHER-DENSITY DISCRETE WAVELET TRANSFORM
% w = hddwt(x, J, af);
% INPUT
%   x  : input signal
%   J  : number of stages
%   af : analysis filters
% OUTPUT
%   w  : wavelet coefficients

for j = 1:J
    [x, w{j}{1}, w{j}{2}] = afb(x, af);
end
w{J+1} = x;